name "culebre"
description "Master role applied to culebre"

default_attributes(
  :hardware => {
    :shm_size => "18g"
  },
  :networking => {
    :interfaces => {
      :external_ipv4 => {
        :interface => "ens3",
        :role => :external,
        :family => :inet,
        :address => "155.210.4.103",
        :prefix => "28",
        :gateway => "155.210.4.110"
      },
      :internal_ipv4 => {
        :interface => "ens4",
        :role => :internal,
        :family => :inet,
        :address => "10.148.97.151",
        :prefix => "24"
      }
    }
  },
  :squid => {
    :version => 4,
    :cache_mem => "16384 MB",
    :cache_dir => [
      "rock /store/squid/rock-4096 12800 swap-timeout=200 slot-size=4096 max-size=3996",
      "rock /store/squid/rock-8192 16000 swap-timeout=200 slot-size=8192 min-size=3997 max-size=8092",
      "rock /store/squid/rock-16384 22400 swap-timeout=200 slot-size=16384 min-size=8093 max-size=16284",
      "rock /store/squid/rock-32768 22800 swap-timeout=200 slot-size=32768 min-size=16285 max-size=262144"
    ]
  },
  :tilecache => {
    :tile_parent => "zaragoza.render.openstreetmap.org"
  }
)

run_list(
  "role[unizar]",
  "role[tilecache]"
)
